<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.ISearchClient Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interface_semantic_search_implementation_1_1_i_search_client-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ISearchClient Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides all necessary functions to implement a document-based search engine.  
 <a href="interface_semantic_search_implementation_1_1_i_search_client.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.ISearchClient:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_semantic_search_implementation_1_1_i_search_client.png" usemap="#SemanticSearchImplementation.ISearchClient_map" alt=""/>
  <map id="SemanticSearchImplementation.ISearchClient_map" name="SemanticSearchImplementation.ISearchClient_map">
<area href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html" title="Implements necessary functions to use Elasticsearch as a search engine." alt="SemanticSearchImplementation.ElasticsearchSearchClient" shape="rect" coords="0,56,339,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a919066ae905397687167580e2d7ff227"><td class="memItemLeft" align="right" valign="top">Task&lt; IDictionary&lt; string, string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a919066ae905397687167580e2d7ff227">GetMappingAsync</a> ()</td></tr>
<tr class="memdesc:a919066ae905397687167580e2d7ff227"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the mappings of the current index.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a919066ae905397687167580e2d7ff227">More...</a><br /></td></tr>
<tr class="separator:a919066ae905397687167580e2d7ff227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab1b757bf2df8b7324dd94cfebb3077"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a9ab1b757bf2df8b7324dd94cfebb3077">CreateIndexAsync</a> (JObject content, string index)</td></tr>
<tr class="memdesc:a9ab1b757bf2df8b7324dd94cfebb3077"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an index with the given settings and mappings.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a9ab1b757bf2df8b7324dd94cfebb3077">More...</a><br /></td></tr>
<tr class="separator:a9ab1b757bf2df8b7324dd94cfebb3077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8400c98add1356b9d594264cc1084ec"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#aa8400c98add1356b9d594264cc1084ec">AddDocumentsAsync</a> (IEnumerable&lt; JObject &gt; documents)</td></tr>
<tr class="memdesc:aa8400c98add1356b9d594264cc1084ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds the given documents as a bulk upload.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#aa8400c98add1356b9d594264cc1084ec">More...</a><br /></td></tr>
<tr class="separator:aa8400c98add1356b9d594264cc1084ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ad1eab5dedb94a615d1c8608dc7052f"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ad1eab5dedb94a615d1c8608dc7052f">SwitchAliasAsync</a> (string from, string to)</td></tr>
<tr class="memdesc:a1ad1eab5dedb94a615d1c8608dc7052f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the alias from the old to the new index.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ad1eab5dedb94a615d1c8608dc7052f">More...</a><br /></td></tr>
<tr class="separator:a1ad1eab5dedb94a615d1c8608dc7052f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7deea3df7b5e8a69eb6cedb7a43ab3"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#acb7deea3df7b5e8a69eb6cedb7a43ab3">DeleteIndexAsync</a> (string index)</td></tr>
<tr class="memdesc:acb7deea3df7b5e8a69eb6cedb7a43ab3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes the given index.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#acb7deea3df7b5e8a69eb6cedb7a43ab3">More...</a><br /></td></tr>
<tr class="separator:acb7deea3df7b5e8a69eb6cedb7a43ab3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ff333af40c8164aa40b129e745a37cc"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ff333af40c8164aa40b129e745a37cc">AddDocumentAsync</a> (string graphName, IDictionary&lt; string, JObject &gt; documents)</td></tr>
<tr class="memdesc:a1ff333af40c8164aa40b129e745a37cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds/updates a new document and possibly changes existing documents.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ff333af40c8164aa40b129e745a37cc">More...</a><br /></td></tr>
<tr class="separator:a1ff333af40c8164aa40b129e745a37cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb5a1be1f418a82548c707f35a565af"><td class="memItemLeft" align="right" valign="top">Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1cb5a1be1f418a82548c707f35a565af">DeleteDocumentAsync</a> (string graphName, IDictionary&lt; string, JObject &gt; documents)</td></tr>
<tr class="memdesc:a1cb5a1be1f418a82548c707f35a565af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a document and possibly changes other existing documents.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a1cb5a1be1f418a82548c707f35a565af">More...</a><br /></td></tr>
<tr class="separator:a1cb5a1be1f418a82548c707f35a565af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f3281adfa42ef1587f0ff32454aef26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a5f3281adfa42ef1587f0ff32454aef26">ChangeIndex</a> (string index)</td></tr>
<tr class="memdesc:a5f3281adfa42ef1587f0ff32454aef26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the current index.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a5f3281adfa42ef1587f0ff32454aef26">More...</a><br /></td></tr>
<tr class="separator:a5f3281adfa42ef1587f0ff32454aef26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4941aadcb081b3debbf4b3a57986882e"><td class="memItemLeft" align="right" valign="top">Task&lt; IDictionary&lt; string, double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a4941aadcb081b3debbf4b3a57986882e">SearchAsync</a> (string query, IEnumerable&lt; string &gt; projects, bool advanced, int size, int from, string sorting)</td></tr>
<tr class="memdesc:a4941aadcb081b3debbf4b3a57986882e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Searches the index using the alias.  <a href="interface_semantic_search_implementation_1_1_i_search_client.html#a4941aadcb081b3debbf4b3a57986882e">More...</a><br /></td></tr>
<tr class="separator:a4941aadcb081b3debbf4b3a57986882e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides all necessary functions to implement a document-based search engine. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1ff333af40c8164aa40b129e745a37cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ff333af40c8164aa40b129e745a37cc">&#9670;&nbsp;</a></span>AddDocumentAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.AddDocumentAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IDictionary&lt; string, JObject &gt;&#160;</td>
          <td class="paramname"><em>documents</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds/updates a new document and possibly changes existing documents. </p>
<p>Additional rules can influence the mapping of existing metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph to be added/updated.</td></tr>
    <tr><td class="paramname">documents</td><td>A dictionary containing the ID of metadata graphs (key) and corresponding JSON objects (value).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous save operation.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a23a0989ca4df1ffe0ae35ce370ff05a4">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="aa8400c98add1356b9d594264cc1084ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8400c98add1356b9d594264cc1084ec">&#9670;&nbsp;</a></span>AddDocumentsAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.AddDocumentsAsync </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; JObject &gt;&#160;</td>
          <td class="paramname"><em>documents</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds the given documents as a bulk upload. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">documents</td><td>An enumerator of all documents as JSON object.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous save operation.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a656bbfaef5d43411849ca697a13934b2">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a5f3281adfa42ef1587f0ff32454aef26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f3281adfa42ef1587f0ff32454aef26">&#9670;&nbsp;</a></span>ChangeIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.ISearchClient.ChangeIndex </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the current index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>Name of new current index.</td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ad539e2885d813afc8484844c43e21659">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a9ab1b757bf2df8b7324dd94cfebb3077"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ab1b757bf2df8b7324dd94cfebb3077">&#9670;&nbsp;</a></span>CreateIndexAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.CreateIndexAsync </td>
          <td>(</td>
          <td class="paramtype">JObject&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates an index with the given settings and mappings. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">content</td><td>JSON object containing the settings and mappings.</td></tr>
    <tr><td class="paramname">index</td><td>The index name.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous save operation.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ada6b558939d7039a662a0c584c27c043">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a1cb5a1be1f418a82548c707f35a565af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cb5a1be1f418a82548c707f35a565af">&#9670;&nbsp;</a></span>DeleteDocumentAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.DeleteDocumentAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IDictionary&lt; string, JObject &gt;&#160;</td>
          <td class="paramname"><em>documents</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deletes a document and possibly changes other existing documents. </p>
<p>Additional rules can influence the mapping of existing metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph to be deleted.</td></tr>
    <tr><td class="paramname">documents</td><td>A dictionary containing the ID of metadata graphs (key) and corresponding JSON objects (value).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous delete operation.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a306ac19c0f67d957b1067e528efd53c7">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="acb7deea3df7b5e8a69eb6cedb7a43ab3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7deea3df7b5e8a69eb6cedb7a43ab3">&#9670;&nbsp;</a></span>DeleteIndexAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.DeleteIndexAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deletes the given index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>Name of the index.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous delete operation.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a1e0d80cc6faed74485063882c8b5eeb6">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a919066ae905397687167580e2d7ff227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a919066ae905397687167580e2d7ff227">&#9670;&nbsp;</a></span>GetMappingAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task&lt;IDictionary&lt;string, string&gt; &gt; SemanticSearchImplementation.ISearchClient.GetMappingAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Queries the mappings of the current index. </p>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing the fields and corresponding types.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#acd867ae8d2f8cb1d10768502462e7b82">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a4941aadcb081b3debbf4b3a57986882e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4941aadcb081b3debbf4b3a57986882e">&#9670;&nbsp;</a></span>SearchAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task&lt;IDictionary&lt;string, double&gt; &gt; SemanticSearchImplementation.ISearchClient.SearchAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>projects</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>advanced</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sorting</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Searches the index using the alias. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>The search query of the user.</td></tr>
    <tr><td class="paramname">projects</td><td>List of allowed projects (of a user).</td></tr>
    <tr><td class="paramname">advanced</td><td>Flag to specify simple or advanced search syntax.</td></tr>
    <tr><td class="paramname">size</td><td>Number of results.</td></tr>
    <tr><td class="paramname">from</td><td>Position from which the results should be returned.</td></tr>
    <tr><td class="paramname">sorting</td><td>Sorting of the results  (see <a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/sort-search-results.html">https://www.elastic.co/guide/en/elasticsearch/reference/current/sort-search-results.html</a>). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The task result contains a dictionary containing the IDs of the found metadata graphs (key) and the corresponding ranking (value).</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa4b8db03c1a6f59fed8fc3a21c2b71d6">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<a id="a1ad1eab5dedb94a615d1c8608dc7052f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ad1eab5dedb94a615d1c8608dc7052f">&#9670;&nbsp;</a></span>SwitchAliasAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Task SemanticSearchImplementation.ISearchClient.SwitchAliasAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the alias from the old to the new index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">from</td><td>Name of old index.</td></tr>
    <tr><td class="paramname">to</td><td>Name of new index.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a46a54adb57d6821229aa73d7918a0e97">SemanticSearchImplementation.ElasticsearchSearchClient</a>.</p>

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="_i_search_client_8cs.html">ISearchClient.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
